let api = {

    APP_CATCH_ERROR: function (data) { console.log("api.CATCH_ERROR() on:" + data.on);

	},

    APP_CONNECT: function (data) { console.log("api.CONNECT() page:" + App.getCurrentPage());
        Server.onConnect(data);
	},

    APP_REGISTER_DEVICE: function (data) { console.log("api.REGISTER_DEVICE()");
        ui.loadingStop();
        Empresa.registerDeviceResult(data);
	},

    APP_LOGIN: function (data) { console.log("api.LOGIN()");
        ui.loadingStop();
		try {
            LoginActivity.onResult(data);
		}
		catch(err) {
			console.error(err);
		}
	},

    APP_AUTOLOGIN: function (data) { console.log("api.AUTOLOGIN()");
        ui.loadingStop();
        try {
            LoginActivity.onAutoLoginResult(data);
        }
        catch(err) {
            console.error(err);
        }
    },

    APP_USUARIO_CHANGE_STATUS: function () { console.log("api.USUARIO_CHANGE_STATUS");

	},

    APP_USUARIO_CONECTADO: function () { console.log("api.USUARIO_CONECTADO");
        if (typeof vChat != "undefined") {
            //vChat.online(data.id);
        }
    },

    APP_USUARIO_DESCONECTADO: function () { console.log("api.USUARIO_DESCONECTADO");
        if (typeof vChat != "undefined") {
            //vChat.offline(data.id);
        }
    },

    APP_TOUCH_VENDEDOR: function (data) { console.log("api.TOUCH_VENDEDOR");
		Vendedor.touch(data.data);
	},

    APP_TOUCH_TERMINAL: function (data) { console.log("api.TOUCH_TERMINAL");
        Vendedor.touchTerminal(data.data);
    },

    APP_VENDER: function (data) { console.log("api.VENDER");
        try {
            VentaActivity.venderResult(data);
        }
        catch(err) {
            console.error(err);
        }
    },

    APP_COPIAR: function (data) { console.log("api.COPIAR");
		try {
            VentaTicket.copyResult(data);
		}
		catch(err) {
			console.error(err);
		}
	},

    APP_ANULAR: function (data) { console.log("api.ANULAR");
        try {
            VentaTicket.cancelResult(data);
        }
        catch(err) {
            console.error(err);
        }
    },

    APP_ANULAR_CODIGO: function (data) { console.log("api.ANULAR_CODIGO");
        try {
            VentaTicket.cancelCodeResult(data);
        }
        catch(err) {
            console.error(err);
        }
    },

    APP_PAGAR: function (data) { console.log("api.PAGAR");
        try {
            VentaTicket.payResult(data);
        }
        catch(err) {
            console.error(err);
        }
    },

    APP_PAGAR_CODIGO: function (data) { console.log("api.PAGAR_CODIGO");
        try {
            VentaTicket.payCodeResult(data);
        }
        catch(err) {
            console.error(err);
        }
    },

    APP_TICKETS: function (data) { console.log("api.TICKETS");
		try {
			TicketsActivity.onData(data);
		}
		catch(err) {
			console.error(err);
		}
	},

    APP_TICKETJUGADAS: function (data) { console.log("api.TICKETJUGADAS");
		try {
			TicketsActivity.onDataJugadas(data);
		}
		catch(err) {
			console.error(err);
		}
	},

    APP_TICKET_REQUEST_VOID: function (data) { console.log("api.TICKET_REQUEST_VOID");
        try {
            TicketsActivity.onResultRequestVoid(data);
        }
        catch(err) {
            console.error(err);
        }
    },

    APP_COMBINAR: function (data) { console.log("api.COMBINAR");
        try {
            VentaTicket.combinarResult(data);
        }
        catch(err) {
            console.error(err);
        }
    },

    APP_SORTEOS: function (data) { console.log("api.SORTEOS");
        try {
            SorteosActivity.onData(data);
        }
        catch(err) {
            console.error(err);
        }
    },

    APP_CUADRE: function (data) { //console.log("api.CUADRE");
        ui.loadingStop();
        try {
            CuadreActivity.onData(data);
        }
        catch(err) {
            console.error(err);
        }
    },

    APP_REPORTE: function (data) { //console.log("api.CUADRE");
        ui.loadingStop();
        try {
            ReporteActivity.onData(data);
        }
        catch(err) {
            console.error(err);
        }
    },

    APP_CHAT: function(data) {
        Chat.recv(data);
    },

    APP_CHAT_LEIDO: function(data) {
        Chat.setLeido(data);
    },

    APP_CHAT_RECIBIDO: function(data) {
        Chat.setRecibido(data);
    },

    APP_CHAT_DELIVERED: function(data) {
        Chat.setRecibido(data);
    },

    APP_CHAT_TYPING: function(data) {
        vChat.typing(data.sender);
    },

    APP_CHAT_REQUEST_LAST_MESSAGES: function (data) { //console.log("api.CHAT_REQUEST_LAST_MESSAGES");
		try {
			Chat.onRecvMessagePack(data);
		}
		catch(err) {
			console.error(err);
		}
	},

    APP_TOUCH_LOTERIA: function (data) { //console.log("api.TOUCH_LOTERIA");
        try {
            Loterias.touch(data);
        }
        catch(err) {
            console.error(err);
        }
    },

    APP_TOUCH_EMPRESA: function (data) { //console.log("api.TOUCH_EMPRESA");
        try {
            Empresa.touch(data);
        }
        catch(err) {
            console.error(err);
        }
    },

    APP_RECARGA_REQUEST: function (data) { console.log("api.RECARGA_REQUEST");
        try {
            RecargasActivity.onRequestResult(data);
        }
        catch(err) {
            console.error(err);
        }
    },

    APP_RECARGA_HISTORY: function (data) { console.log("api.RECARGA_HISTORY");
        try {
            RecargasActivity.onHistoryResult(data);
        }
        catch(err) {
            console.error(err);
        }
    },


    APP_PIN: function () { console.log("api.PIN");
        try {
            Server.send({"action": packet.PIN});
        }
        catch(err) {
            console.error(err);
        }
	}
}